<?php

if( !function_exists( 'flat_commerce_logo_slider_section' ) ) :
/**
* Add Logo Slider
* @uses action hook flat_commerce_before_content.
*
* @since Flat Commerce Pro 1.0
*/
function flat_commerce_logo_slider_section() {
    global $wp_query, $post;

    $page_id        = get_queried_object_id();
    $options        = flat_commerce_get_theme_options();

    $enable_logo_slider   = $options['logo_slider_enable_option'];
    $logo_slider_num   = $options['logo_slider_number'];
    $flat_commerce_logo_slider_section = '';

    // Front page displays in Reading Settings
    $page_on_front  = get_option( 'page_on_front' ) ;

    if ( $enable_logo_slider == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable_logo_slider == 'homepage' ) ) {
       // if ( ( !$flat_commerce_logo_slider_section = get_transient( 'flat_commerce_logo_slider_section' ) ) ) {
            echo '<!-- refreshing about us section -->';
            $flat_commerce_logo_slider_section = '
            <section id="logo-slider" class="page-section">
			    <div class="container">
			        <div class="cycle-slideshow" data-cycle-fx="carousel" data-cycle-carousel-visible="'.absint( $logo_slider_num ).'" data-cycle-slides=">a">';
			        for ( $i=1; $i <= $logo_slider_num; $i++) { 
			        	$logo_url = '';
			        	if ( ! empty( $options['featured_logo_slider_url_'.$i] ) ) {
			        		$logo_url = $options['featured_logo_slider_url_'.$i];
			        	}
			        	$logo = '';
			        	if ( ! empty( $options['featured_logo_slider_'.$i] ) ) {
			        		$logo = $options['featured_logo_slider_'.$i];
			        	}
			            $flat_commerce_logo_slider_section .= '<a href="'.esc_url( $logo_url ).'"><img src="'.esc_url( $logo ).'"></a>';
			        }
			        $flat_commerce_logo_slider_section .= '</div><!-- .cycle-slideshow -->
			    </div><!-- .container -->
			</section>';
            
            // set_transient( 'flat_commerce_logo_slider_section', $flat_commerce_logo_slider_section, 86940 );
        // }
        echo $flat_commerce_logo_slider_section;
    }
}
endif;
add_action( 'flat_commerce_after_content', 'flat_commerce_logo_slider_section', 40 );