jQuery( document ).ready(function( $ ) {
  $('#load-more-recent-product').click(function(e){
    e.preventDefault();
    var page_no = $('#load-more-recent-product').attr('data-page-no');

    //the ajax begins now
    $('#load-more-recent-product').hide();
    $('#loadingmessage').show();
    $.ajax({
      type: 'POST',
      url : flat_commerce_recent_product_ajax.ajaxurl,
      data: {
        action  :'recent_product_ajax_handler',
        page_no :page_no,
        security:flat_commerce_recent_product_ajax.ajax_nonce
      },

      beforeSend: function(){

      },

      success: function(response){
        var data = $.parseJSON(response);

        $('#loadingmessage').hide();
        $( '#load-more-recent-product' ).show();
        page_no = parseInt( page_no ) + 1;
        $('#load-more-recent-product').attr('data-page-no', page_no );
        $('#recent-product-row').append(data.flat_commerce_recent_products);

        if (data.flag) {
          $( '#load-more-recent-product' ).hide();
        }
      },

      error: function(MLHttpRequest, textStatus, errorThrown){
        console.log(errorThrown);
      }
    });

  });
});